import request from "@/utils/request";

export const equipmentList = (params) => {
  return request({
    url: `/app/casLaboratory/device/list`,
    method: "GET",
    params,
  });
};
export const insertEquipment = (data) => {
  return request({
    url: `/app/casLaboratory/device`,
    method: "POST",
    data,
  });
};
export const updateEquipment = (data) => {
  return request({
    url: `/app/casLaboratory/device`,
    method: "PUT",
    data,
  });
};
export const deleteEquipment = (ids) => {
  return request({
    url: `/app/casLaboratory/device`,
    method: "DELETE",
    data: {
      ids,
    },
  });
};
export const getEquipment = (id) => {
  return request({
    url: `/app/casLaboratory/device/info/${id}`,
    method: "GET",
  });
};
